<?php
include "../conexion.php";
$trat_id=$_GET['id'];   
$cans=mysqli_query($con,"SELECT * from trasladoe_detalle_temp where trat_id='$trat_id'") or die(mysqli_error($con)); 
$datos=mysqli_fetch_array($cans);
$trat_id=$datos['trat_id'];
$trat_art_id=$datos['trat_art_id'];
$trat_nombre=$datos['trat_nombre'];
$trat_cantidad=$datos['trat_cantidad'];
?>
<div class="tabbable">
    <ul class="nav nav-tabs">
        <li class="active"><a href="#SERIALES" data-toggle="tab">SERIALES</a> </li>
        <li><a href="#OTRO" data-toggle="tab">OTRO</a></li>
    </ul>
    <div class="tab-content" >
    <div id="resultados_ser"></div> 
        <div class="tab-pane active" id="SERIALES">
            <form role="form" id="seriales" >      
                <div class="col-md-12">
                    <input type="hidden" name="id" value="<?php echo $trat_id; ?>">
                    <input type="hidden" name="trat_cantidad" id="trat_cantidad" value="<?php echo $trat_cantidad; ?>">
                    <?php
                        $can1=mysqli_query($con,"SELECT * from seriales_articulos where articulos_art_id='$trat_art_id' and estado='sin vender'") or die(mysqli_error($con)); 
                        $num=mysqli_num_rows($can1);
                        if($num>0)
                        {
                            echo '<label>SERIALES(ES) </label><br>';
                            while ($row=mysqli_fetch_array($can1))
                            {
                    ?>
                            <input type="checkbox" id="<?php echo $row['se_codigo']; ?>"  name="serial[]" value="<?php echo $row['se_codigo']; ?>">
                            <label class="lab" for="<?php echo $row['se_codigo']; ?>"><?php echo $row['se_codigo']; ?></label>
                    <?php } }
                    else
                        {
                            echo '<div class="alert alert-success alert-dismissable">
                                    <strong>No Tiene Seriales Registrados!</strong>
                                </div>'; 
                        }
                    ?>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <button type="submit" id="ser" class="btn btn-primary">Registrar</button>
                </div>
            </form>
        </div>

        <div class="tab-pane " id="OTRO">
            <form role="form" id="oseriales" > 
                <input type="hidden" name="id" value="<?php echo $trat_id; ?>">  
                <input type="hidden" name="trat_cantidad" id="trat_cantidad" value="<?php echo $trat_cantidad; ?>" >   
                <?php $i = 1;
                  while ($i <= $trat_cantidad) {
                ?>
                <label for="art_nombre" class="control-label">Serial <?php echo $i++; ?> </label>
                <input type="text" class="form-control" name="serial[]" value=""  autocomplete="off" required="">
                <?php } ?>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <button type="submit" id="oser" class="btn btn-primary">Registrar</button>
                </div>
                </form>
        </div>
    </div>  
</div>

<script>
$( "#seriales" ).submit(function( event ) {
$('#ser').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_traslados_emp/registrar_serial.php",
    data: parametros,
        beforeSend: function(objeto){
         $('#resultados_ser').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
    success: function(datos){
    $("#resultados_ser").html(datos);
    $('#ser').attr("disabled", false);
    }
  });
 event.preventDefault();
})


$( "#oseriales" ).submit(function( event ) {
$('#oser').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_traslados_emp/registrar_serial.php",
    data: parametros,
    beforeSend: function(objeto){
     $('#resultados_ser').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#resultados_ser").html(datos);
    $('#oser').attr("disabled", false);
    }
  });
  event.preventDefault();
})
</script>